Bug 633 - Solaris build failure due to iconv/character set translation
Solaris build failure due to iconv/character set translation
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
All Solaris
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-16 03:11 UTC by russell aspinwall
Modified: 2005-11-14 09:26 UTC (History)
1 user (show)

See Also:


Attachments
output of sucessfull config prior to build (387.05 KB, text/plain)
2003-10-16 06:32 UTC, russell aspinwall
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description russell aspinwall 2003-10-16 03:11:57 UTC
When trying to build Samba 3.0.0 on Solaris, the iconv and character translation
always fail. After building GNU libiconv-1.9.1 I think I have determined the
problem.

Performing a iconv -l the various character sets which can be translated are
listed. In ./samba-3.0.0/source/configure the character set is listed as UCS2-LE
but in the iconv -l listing it is UCS-2LE leading to a mismatch problem.
Comment 1 russell aspinwall 2003-10-16 03:56:24 UTC
This problem appears to be user error.
Comment 2 russell aspinwall 2003-10-16 06:32:41 UTC
Created attachment 203 [details]
output of sucessfull config prior to build

After building the code, SWAT fails with an ERROR 11. However manually creating
smb.conf works, added to NT domain. Samba added to domain, does not appear in
browser list, or network neighbourhood but it is possible to directly map a
drive.

# more log.*
::::::::::::::
log.nmbd
::::::::::::::
[2003/10/16 13:10:49, 0] nmbd/nmbd.c:(664)
  Netbios nameserver version 3.0.0 started.
  Copyright Andrew Tridgell and the Samba Team 1994-2003
[2003/10/16 13:15:41, 0] nmbd/nmbd.c:(664)
  Netbios nameserver version 3.0.0 started.
  Copyright Andrew Tridgell and the Samba Team 1994-2003
[2003/10/16 13:17:29, 0] nmbd/nmbd.c:(54)
  Got SIGTERM: going down...
::::::::::::::
log.smbd
::::::::::::::
[2003/10/16 13:10:49, 0] smbd/server.c:(747)
  smbd version 3.0.0 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2003
[2003/10/16 13:10:49, 0] lib/util_sock.c:(646)
  bind failed on port 445 socket_addr = 0.0.0.0.
  Error = Address already in use
[2003/10/16 13:15:41, 0] smbd/server.c:(747)
  smbd version 3.0.0 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2003
[2003/10/16 13:16:54, 0] passdb/pdb_smbpasswd.c:(189)
  startsmbfilepwent_internal: file /opt/samba/private/smbpasswd did not exist.
File successfully created.
[2003/10/16 13:16:54, 1] smbd/service.c:(698)
  jeeves (192.168.0.151) connect to service tmp initially as user russell
(uid=221, gid=14) (pid 20285)
[2003/10/16 13:17:29, 1] smbd/service.c:(880)
  jeeves (192.168.0.151) closed connection to service tmp
::::::::::::::
log.swat
::::::::::::::
[2003/10/16 13:13:08, 0] lib/util.c:(1400)
  PANIC: internal error
[2003/10/16 13:13:10, 0] lib/fault.c:(36)
  ===============================================================
[2003/10/16 13:13:10, 0] lib/fault.c:(37)
  INTERNAL ERROR: Signal 11 in pid 20235 (3.0.0)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/10/16 13:13:10, 0] lib/fault.c:(39)
  ===============================================================
[2003/10/16 13:13:10, 0] lib/util.c:(1400)
  PANIC: internal error
[2003/10/16 13:13:12, 0] lib/fault.c:(36)
  ===============================================================
[2003/10/16 13:13:12, 0] lib/fault.c:(37)
  INTERNAL ERROR: Signal 11 in pid 20236 (3.0.0)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/10/16 13:13:12, 0] lib/fault.c:(39)
  ===============================================================
Comment 3 Tim Potter 2003-10-16 17:19:24 UTC
Can you get a stack backtrace using gdb?  If you could compile with debugging
turned on (run ./configure.developer instead of ./configure) that would be great.
Comment 4 Gerald (Jerry) Carter 2004-03-04 10:01:42 UTC
no response in several months.  Also has been a lot of work 
in this area since 3.0.0.  Assuming it has been fixed.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:16:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:26:05 UTC
database cleanup